Add option in new UI to retain the share configuration when detaching a pool

08/17/2018 11:19 AM - Nick Principe

Status: Done   

Priority: No priority   

Assignee: Erin Clark   

Category: GUI (new)   

Target version: 11.2-BETA3   

Seen in: 11.2-BETA2 Needs Merging: No

Severity: New Needs Automation: No

Reason for Closing:  Support Suite Ticket: n/a

Reason for Blocked:  Hardware

Configuration:

 

Needs QA: No ChangeLog

Required:

No

Needs Doc: No   

Description

The new UI does not seem to give the user an option to retain the share configuration when detaching a pool. This was a separate

option in the old UI - a checkbox labeled "Also delete the share's configuration". This option is very useful for testing purposes,

especially to retain sharing config when destroying the pool.

Associated revisions

Revision f53c0312 - 08/17/2018 06:07 PM - Erin Clark

Add missing option to pool detach to allow user to keep their shares

Ticket: #42066

Revision 04728745 - 08/18/2018 02:09 PM - Erin Clark

Adjust wording on the checkbox

Ticket: #42066

History

#1 - 08/17/2018 05:45 PM - Dru Lavigne

- Assignee changed from Release Council to Erin Clark

- Target version changed from Backlog to 11.2-BETA3

#2 - 08/17/2018 06:08 PM - Erin Clark

- Status changed from Unscreened to In Progress

https://github.com/freenas/webui/pull/1166

#3 - 08/20/2018 03:19 PM - Erin Clark

- Status changed from In Progress to Ready for Testing

#4 - 08/20/2018 05:37 PM - Dru Lavigne

- Subject changed from New UI always deletes share configuration when detaching pool to Add option in new UI to retain the share configuration when
https://github.com/freenas/webui/pull/1166


detaching a pool

- Needs Merging changed from Yes to No

#5 - 08/23/2018 12:47 PM - Jeff Ervin

- Status changed from Ready for Testing to Passed Testing

- Needs QA changed from Yes to No

Test Passes FreeNAS-11.2-MASTER-201808220903

#6 - 08/27/2018 11:31 AM - Aaron St. John

(docs) Angulargui branch PR: https://github.com/freenas/freenas-docs/pull/326

and https://github.com/freenas/freenas-docs/pull/330

#7 - 08/28/2018 06:50 AM - Dru Lavigne

- Status changed from Passed Testing to Ready for Testing

- Needs QA changed from No to Yes

- Needs Doc changed from Yes to No

#9 - 08/28/2018 07:45 AM - Dru Lavigne

- Status changed from Ready for Testing to Passed Testing

- Needs QA changed from Yes to No

#10 - 08/28/2018 08:24 AM - Dru Lavigne

- Status changed from Passed Testing to Done
